Bug 250161 (CVE-2007-4045) - CVE-2007-4045 Incomplete fix for CVE-2007-0720 CUPS denial of service
Summary: CVE-2007-4045 Incomplete fix for CVE-2007-0720 CUPS denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-4045
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.novell.com/linux/security/...
Whiteboard: impact=low,source=cve,public=20070720...
Depends On: 356541 356551 356561
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-30 19:34 UTC by Lubomir Kundrak
Modified: 2019-06-08 12:21 UTC (History)
1 user (show)

Fixed In Version: 1.3.4-2.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-08 06:03:41 UTC


Attachments (Terms of Use)
Patch for CVE-2007-4045 CUPS DoS sucked from SUSE package (2.32 KB, patch)
2007-07-30 19:34 UTC, Lubomir Kundrak
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1022 normal SHIPPED_LIVE Important: cups security update 2007-11-07 17:52:42 UTC
Red Hat Product Errata RHSA-2007:1023 normal SHIPPED_LIVE Important: cups security update 2007-11-07 17:58:59 UTC

Description Lubomir Kundrak 2007-07-30 19:34:22 UTC
Description of problem:

SUSE-SR:2007:014 (see URL field) reads:

   - cups denial of service regression fix

     CUPS packages were released to fix another denial of service problem
     introduced by the previous Denial of Service Fix for CVE-2007-0720, which was
     incomplete.

Version-Release number of selected component (if applicable):

        CVE-2007-4045 Affects: RHEL4
        CVE-2007-4045 Affects: RHEL5
        CVE-2007-4045 Affects: FC6
        CVE-2007-4045 Affects: FC7

Comment 1 Lubomir Kundrak 2007-07-30 19:34:22 UTC
Created attachment 160266 [details]
Patch for CVE-2007-4045 CUPS DoS sucked from SUSE package

Comment 5 Fedora Update System 2007-11-08 06:03:35 UTC
cups-1.3.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-11-09 23:51:52 UTC
cups-1.2.12-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Tomas Hoger 2008-03-23 10:05:56 UTC
This issue only affected CUPS versions prior to 1.2.x and was addressed in CUPS
packages in Red Hat Enterprise Linux 3 and 4.

Patches applied to Fedora packages were not needed and were dropped few weeks later:

* Fri Nov 30 2007 Tim Waugh <twaugh-at-redhat.com>
- CVE-2007-4045 patch is not necessarily because cupsd_client_t objects are
  not moved in array operations, only pointers to them.

Also noted by upstream in http://www.cups.org/str.php?L2725:

 This patch is not valid or needed for any version of CUPS since 1.2.

 The problem in 1.1.x was that the Clients array was allocated as a
 contiguous array, so when a client went away the user data pointer for
 OpenSSL needed to be updated to point to the correct http_t structure.

 In 1.2 we changed the Clients array to use individually-allocated
 cupsd_client_t structures managed by the CUPS array API. This means
 that the address of the http_t structure won't change when a client
 is removed or added.


Comment 8 Red Hat Product Security 2008-03-23 10:08:54 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1022.html
  http://rhn.redhat.com/errata/RHSA-2007-1023.html


Note You need to log in before you can comment on or make changes to this bug.